Bug 1129515 - Miscellaneous errors in manual
Summary: Miscellaneous errors in manual
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: doc-System_Administrators_Guide
Version: 7.2
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: rc
: ---
Assignee: Stephen Wadeley
QA Contact: ecs-bugs
URL:
Whiteboard:
Depends On:
Blocks: 1055614
TreeView+ depends on / blocked
 
Reported: 2014-08-13 04:05 UTC by Kwan Lowe
Modified: 2019-03-06 01:08 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-04-07 07:47:15 UTC


Attachments (Terms of Use)
Text file containing miscellaneous errors (1.55 KB, text/plain)
2014-08-13 04:05 UTC, Kwan Lowe
no flags Details

Description Kwan Lowe 2014-08-13 04:05:11 UTC
Created attachment 926250 [details]
Text file containing miscellaneous errors

Description of problem:
Various errors in the manual.

Version-Release number of selected component (if applicable):
7

How reproducible:
NA

Steps to Reproduce:
1. 
2.
3.

Actual results:
Please see the notes in the attachment

Expected results:
Please see the notes in the attachment

Additional info:
2.1.1
Spelling error
OLD: Example 2.1. Displaying thee Current Date and Time
OLD: Example 2.1. Displaying the Current Date and Time

3.3.1
In RHEL7, standard user IDs start at 1000.

OLD: A UID greater than 499 is created. Under Red Hat Enterprise Linux, UIDs below 500 are reserved for system use and should not be assigned to users.
NEW: A UID greater than 999 is created.

OLD: A GID greater than 499 is created.
NEW: A GID greater than 999 is created.

5
Inconsistent use of Yum and yum. Multiple occurrences.

OLD: [...] in this section affect how yum operates, others affect how Yum treats repositories.
NEW: [...] in this section affect how yum operates, others affect how yum treats repositories.


6.3
Table 6.6 - Formatting of table header is wrapped.
OLD: runleve
l
NEW: runlevel



7.2.4.1
4. Changing permissions on the ~/.ssh/directory is no longer needed.
   By default the directory permissions are set to 700.

5. ssh-copy-id does not copy all id_*.pub keys to the remote.
   Only the id_rsa.pub key is copied



8.2.2
Specifies installing tigervnc-server to add vncviewer. This is in tigervnc.

OLD: # yum install tigervnc-server
NEW: # yum install tigervnc

8.2.3
Unclear opening sentence..

OLD: VNC stands for a clear text network protocol, so there is no security against possible attacks on the communication.To make the

NEW: VNC is a clear text network protocol with no security against possible attacks on the communication. To make the


9.1.2
Uses old service command instead of apachectl

OLD: service httpd configtest
NEW: apachectl configtest

Comment 2 Stephen Wadeley 2014-08-13 07:34:44 UTC
Hello Kwan

Thank you for taking the time to report those issues.

Comment 12 Stephen Wadeley 2015-03-05 11:50:39 UTC
(In reply to Need Real Name from comment #0)

> 
> Additional info:
> 2.1.1
> Spelling error
> OLD: Example 2.1. Displaying thee Current Date and Time
> OLD: Example 2.1. Displaying the Current Date and Time
FIXED

See: https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Linux/7/html-single/System_Administrators_Guide/index.html#sect-Configuring_the_Date_and_Time-timedatectl-Display
> 
> 3.3.1
> In RHEL7, standard user IDs start at 1000.
> 
> OLD: A UID greater than 499 is created. Under Red Hat Enterprise Linux, UIDs
> below 500 are reserved for system use and should not be assigned to users.
> NEW: A UID greater than 999 is created.
> 
> OLD: A GID greater than 499 is created.
> NEW: A GID greater than 999 is created.
FIXED

https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Linux/7/html-single/System_Administrators_Guide/index.html#s2-users-tools-users-add
> 
> 5
> Inconsistent use of Yum and yum. Multiple occurrences.
> 
> OLD: [...] in this section affect how yum operates, others affect how Yum
> treats repositories.
> NEW: [...] in this section affect how yum operates, others affect how yum
> treats repositories.
FIXED
upstream and man page is a little inconsistent but we decided to use lower case yum in sentences.

See: https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Linux/7/html-single/System_Administrators_Guide/index.html#ch-yum

> 
> 
> 6.3
> Table 6.6 - Formatting of table header is wrapped.
> OLD: runleve
> l
> NEW: runlevel

I adjusted it a bit to make it work in the PDF.

For html this is hard as it changes depending on screen size, ratio, and browser window size. If you minimize the Table of Contents (ToC) on the left it should be OK on smaller screens (press the X).

See: https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Linux/7/html-single/System_Administrators_Guide/index.html#tabl-Managing_Services_with_systemd-Targets-Runlevels

> 
> 
> 
> 7.2.4.1
> 4. Changing permissions on the ~/.ssh/directory is no longer needed.
>    By default the directory permissions are set to 700.
Improved that bit

See: https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Linux/7/html-single/System_Administrators_Guide/index.html#s3-ssh-configuration-keypairs-generating

> 
> 5. ssh-copy-id does not copy all id_*.pub keys to the remote.
>    Only the id_rsa.pub key is copied

Have to get back to this bit in the next post.


> 
> 
> 
> 8.2.2
> Specifies installing tigervnc-server to add vncviewer. This is in tigervnc.
> 
> OLD: # yum install tigervnc-server
> NEW: # yum install tigervnc
FIXED

See: https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Linux/7/html-single/System_Administrators_Guide/index.html#installing-vncviewer
> 
> 8.2.3
> Unclear opening sentence..
> 
> OLD: VNC stands for a clear text network protocol, so there is no security
> against possible attacks on the communication.To make the
> 
> NEW: VNC is a clear text network protocol with no security against possible
> attacks on the communication. To make the
> 
FIXED

See: https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Linux/7/html-single/System_Administrators_Guide/index.html#s1-using_ssh


> 
> 9.1.2
> Uses old service command instead of apachectl
> 
> OLD: service httpd configtest
> NEW: apachectl configtest

FIXED

See: https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Linux/7/html-single/System_Administrators_Guide/index.html#s2-apache-version2-changes


Thank you

Comment 13 Stephen Wadeley 2015-03-10 12:49:00 UTC
Hello Kwan

Re:

> 
> 5. ssh-copy-id does not copy all id_*.pub keys to the remote.
>    Only the id_rsa.pub key is copied

The ssh-copy-id man page says:

 "It then assembles a list of those that failed to log in, and using ssh, enables logins with those keys on the remote server.  By default it adds the keys by appending them to the remote user's ~/.ssh/authorized_keys (creating the file, and directory, if necessary)"


That sounds to me like it will copy all public keys that are required, but not yet installed.


Then the man page mentions: 

-i identity_file 
Use only the key(s) contained in identity_file
<snip>
The default_ID_file is the most recent file that matches: ~/.ssh/id*.pub,

That sounds like what the you are reporting.

-----------------

In the guide we currently have:

 To copy the public key to a remote machine, issue a command in the following format:

 ssh-copy-id user@hostname

This will copy all ~/.ssh/id*.pub public keys. Alternatively, specify the public keys file name as follows:

ssh-copy-id -i ~/.ssh/id_rsa.pub user@hostname

This will copy the content of ~/.ssh/id_rsa.pub into the ~/.ssh/authorized_keys file on the machine to which you want to connect. If the file already exists, the keys are appended to its end.


---------------------

So, if I understand correctly, "This will copy all ~/.ssh/id*.pub public keys" could be changed to "This will copy all ~/.ssh/id*.pub public keys not yet installed"


I will ask a colleague to confirm.

Thank you

Comment 14 Stephen Wadeley 2015-03-10 13:11:26 UTC
Hello(In reply to Stephen Wadeley from comment #13)


> ---------------------
> 
> So, if I understand correctly, "This will copy all ~/.ssh/id*.pub public
> keys" could be changed to "This will copy all ~/.ssh/id*.pub public keys not
> yet installed"
> 
> 
> I will ask a colleague to confirm.
> 

Developer says:

"It will try to copy only the newest public key. Newest means with the latest
modification time. And it won't copy the key if it's already in authorized
keys."

So I will change:

"This will copy all ~/.ssh/id*.pub public keys" to

 "This will copy the most recently modified ~/.ssh/id*.pub public key if it is not yet installed"


Thank you

Comment 16 Kwan Lowe 2015-03-10 13:23:03 UTC
Stephen:  Thanks for following up on these. I can confirm this is the behaviour that I'm seeing here. Sorry for the noise.

Comment 18 Stephen Wadeley 2015-04-07 07:47:15 UTC
Hello

The last fix, as per comments 13 - 15, is now live in version:
Red_Hat_Enterprise_Linux-System_Administrators_Guide-7-en-US-0.14-0.3

https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Linux/7/html/System_Administrators_Guide/s1-ssh-configuration.html#s3-ssh-configuration-keypairs-generating


Other fixes, as detailed in comment 12, were in Revision 0.13-2	Tue Feb 24 2015	
Version for 7.1 GA release.


Thank you


Note You need to log in before you can comment on or make changes to this bug.